public static final class HttpRequest.Builder extends GeneratedMessage.Builder<HttpRequest.Builder> implements HttpRequestOrBuilderRepresents an HTTP request.
Protobuf type google.rpc.HttpRequest
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > HttpRequest.BuilderImplements
HttpRequestOrBuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
addAllHeaders(Iterable<? extends HttpHeader> values)
public HttpRequest.Builder addAllHeaders(Iterable<? extends HttpHeader> values)The HTTP request headers. The ordering of the headers is significant. Multiple headers with the same key may present for the request.
repeated .google.rpc.HttpHeader headers = 3;
| Parameter | |
|---|---|
| Name | Description |
values |
Iterable<? extends com.google.rpc.HttpHeader> |
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
|
addHeaders(HttpHeader value)
public HttpRequest.Builder addHeaders(HttpHeader value)The HTTP request headers. The ordering of the headers is significant. Multiple headers with the same key may present for the request.
repeated .google.rpc.HttpHeader headers = 3;
| Parameter | |
|---|---|
| Name | Description |
value |
HttpHeader |
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
|
addHeaders(HttpHeader.Builder builderForValue)
public HttpRequest.Builder addHeaders(HttpHeader.Builder builderForValue)The HTTP request headers. The ordering of the headers is significant. Multiple headers with the same key may present for the request.
repeated .google.rpc.HttpHeader headers = 3;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
HttpHeader.Builder |
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
|
addHeaders(int index, HttpHeader value)
public HttpRequest.Builder addHeaders(int index, HttpHeader value)The HTTP request headers. The ordering of the headers is significant. Multiple headers with the same key may present for the request.
repeated .google.rpc.HttpHeader headers = 3;
| Parameters | |
|---|---|
| Name | Description |
index |
int |
value |
HttpHeader |
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
|
addHeaders(int index, HttpHeader.Builder builderForValue)
public HttpRequest.Builder addHeaders(int index, HttpHeader.Builder builderForValue)The HTTP request headers. The ordering of the headers is significant. Multiple headers with the same key may present for the request.
repeated .google.rpc.HttpHeader headers = 3;
| Parameters | |
|---|---|
| Name | Description |
index |
int |
builderForValue |
HttpHeader.Builder |
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
|
addHeadersBuilder()
public HttpHeader.Builder addHeadersBuilder()The HTTP request headers. The ordering of the headers is significant. Multiple headers with the same key may present for the request.
repeated .google.rpc.HttpHeader headers = 3;
| Returns | |
|---|---|
| Type | Description |
HttpHeader.Builder |
|
addHeadersBuilder(int index)
public HttpHeader.Builder addHeadersBuilder(int index)The HTTP request headers. The ordering of the headers is significant. Multiple headers with the same key may present for the request.
repeated .google.rpc.HttpHeader headers = 3;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
HttpHeader.Builder |
|
build()
public HttpRequest build()| Returns | |
|---|---|
| Type | Description |
HttpRequest |
|
buildPartial()
public HttpRequest buildPartial()| Returns | |
|---|---|
| Type | Description |
HttpRequest |
|
clear()
public HttpRequest.Builder clear()| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
|
clearBody()
public HttpRequest.Builder clearBody()The HTTP request body. If the body is not expected, it should be empty.
bytes body = 4;
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
This builder for chaining. |
clearHeaders()
public HttpRequest.Builder clearHeaders()The HTTP request headers. The ordering of the headers is significant. Multiple headers with the same key may present for the request.
repeated .google.rpc.HttpHeader headers = 3;
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
|
clearMethod()
public HttpRequest.Builder clearMethod()The HTTP request method.
string method = 1;
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
This builder for chaining. |
clearUri()
public HttpRequest.Builder clearUri()The HTTP request URI.
string uri = 2;
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
This builder for chaining. |
getBody()
public ByteString getBody()The HTTP request body. If the body is not expected, it should be empty.
bytes body = 4;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The body. |
getDefaultInstanceForType()
public HttpRequest getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
HttpRequest |
|
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getHeaders(int index)
public HttpHeader getHeaders(int index)The HTTP request headers. The ordering of the headers is significant. Multiple headers with the same key may present for the request.
repeated .google.rpc.HttpHeader headers = 3;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
HttpHeader |
|
getHeadersBuilder(int index)
public HttpHeader.Builder getHeadersBuilder(int index)The HTTP request headers. The ordering of the headers is significant. Multiple headers with the same key may present for the request.
repeated .google.rpc.HttpHeader headers = 3;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
HttpHeader.Builder |
|
getHeadersBuilderList()
public List<HttpHeader.Builder> getHeadersBuilderList()The HTTP request headers. The ordering of the headers is significant. Multiple headers with the same key may present for the request.
repeated .google.rpc.HttpHeader headers = 3;
| Returns | |
|---|---|
| Type | Description |
List<Builder> |
|
getHeadersCount()
public int getHeadersCount()The HTTP request headers. The ordering of the headers is significant. Multiple headers with the same key may present for the request.
repeated .google.rpc.HttpHeader headers = 3;
| Returns | |
|---|---|
| Type | Description |
int |
|
getHeadersList()
public List<HttpHeader> getHeadersList()The HTTP request headers. The ordering of the headers is significant. Multiple headers with the same key may present for the request.
repeated .google.rpc.HttpHeader headers = 3;
| Returns | |
|---|---|
| Type | Description |
List<HttpHeader> |
|
getHeadersOrBuilder(int index)
public HttpHeaderOrBuilder getHeadersOrBuilder(int index)The HTTP request headers. The ordering of the headers is significant. Multiple headers with the same key may present for the request.
repeated .google.rpc.HttpHeader headers = 3;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
HttpHeaderOrBuilder |
|
getHeadersOrBuilderList()
public List<? extends HttpHeaderOrBuilder> getHeadersOrBuilderList()The HTTP request headers. The ordering of the headers is significant. Multiple headers with the same key may present for the request.
repeated .google.rpc.HttpHeader headers = 3;
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.rpc.HttpHeaderOrBuilder> |
|
getMethod()
public String getMethod()The HTTP request method.
string method = 1;
| Returns | |
|---|---|
| Type | Description |
String |
The method. |
getMethodBytes()
public ByteString getMethodBytes()The HTTP request method.
string method = 1;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for method. |
getUri()
public String getUri()The HTTP request URI.
string uri = 2;
| Returns | |
|---|---|
| Type | Description |
String |
The uri. |
getUriBytes()
public ByteString getUriBytes()The HTTP request URI.
string uri = 2;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for uri. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public HttpRequest.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public HttpRequest.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
|
mergeFrom(HttpRequest other)
public HttpRequest.Builder mergeFrom(HttpRequest other)| Parameter | |
|---|---|
| Name | Description |
other |
HttpRequest |
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
|
removeHeaders(int index)
public HttpRequest.Builder removeHeaders(int index)The HTTP request headers. The ordering of the headers is significant. Multiple headers with the same key may present for the request.
repeated .google.rpc.HttpHeader headers = 3;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
|
setBody(ByteString value)
public HttpRequest.Builder setBody(ByteString value)The HTTP request body. If the body is not expected, it should be empty.
bytes body = 4;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe body to set. |
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
This builder for chaining. |
setHeaders(int index, HttpHeader value)
public HttpRequest.Builder setHeaders(int index, HttpHeader value)The HTTP request headers. The ordering of the headers is significant. Multiple headers with the same key may present for the request.
repeated .google.rpc.HttpHeader headers = 3;
| Parameters | |
|---|---|
| Name | Description |
index |
int |
value |
HttpHeader |
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
|
setHeaders(int index, HttpHeader.Builder builderForValue)
public HttpRequest.Builder setHeaders(int index, HttpHeader.Builder builderForValue)The HTTP request headers. The ordering of the headers is significant. Multiple headers with the same key may present for the request.
repeated .google.rpc.HttpHeader headers = 3;
| Parameters | |
|---|---|
| Name | Description |
index |
int |
builderForValue |
HttpHeader.Builder |
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
|
setMethod(String value)
public HttpRequest.Builder setMethod(String value)The HTTP request method.
string method = 1;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe method to set. |
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
This builder for chaining. |
setMethodBytes(ByteString value)
public HttpRequest.Builder setMethodBytes(ByteString value)The HTTP request method.
string method = 1;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for method to set. |
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
This builder for chaining. |
setUri(String value)
public HttpRequest.Builder setUri(String value)The HTTP request URI.
string uri = 2;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe uri to set. |
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
This builder for chaining. |
setUriBytes(ByteString value)
public HttpRequest.Builder setUriBytes(ByteString value)The HTTP request URI.
string uri = 2;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for uri to set. |
| Returns | |
|---|---|
| Type | Description |
HttpRequest.Builder |
This builder for chaining. |